%%
%%% Buch-Klasse zum SuSE Linux Anwenderhandbuch
%%% Copyright  (c)  1997     SuSE GmbH  Fuerth, Germany.
%%% Copyright  (c)  1998-99  SuSE GmbH  Nuernberg, Germany.
%%% please send bugfixes or comments to feedback@suse.de.
%%%
%%% 1995    Werner Fink           <werner@suse.de>
%%% 1998-99 Karl Eichwalder       <ke@suse.de>
%%%
%%% $Id: susebuch.cls,v 1.84 2000/02/18 17:29:58 ke Exp $
%%% $Locker:  $
%%%
%%% $Log: susebuch.cls,v $
%%% Revision 1.84  2000/02/18 17:29:58  ke
%%% start to add pdf tweaks
%%%
%%% Revision 1.83  2000/01/20 13:12:20  ke
%%% .
%%%
%%% Revision 1.82  2000/01/20 12:34:15  ke
%%% use varioref
%%%
%%% Revision 1.81  2000/01/20 08:39:20  ke
%%% add \RequirePackage{varioref}
%%%
%%% Revision 1.80  2000/01/12 14:14:03  ke
%%% add PPC and SPARC environments
%%%
%%% Revision 1.79  1999/12/13 15:01:51  ke
%%% make ngerman available
%%%
%%% Revision 1.78  1999/12/02 14:54:33  ke
%%% move color to the pdf section
%%%
%%% Revision 1.77  1999/12/01 16:51:53  ke
%%% use pcr for typewriter while producing PDF.
%%%
%%% Revision 1.76  1999/12/01 14:40:45  ke
%%% \usepackage{color}.
%%% set pdftex options.
%%%
%%% Revision 1.75  1999/10/27 18:22:35  ke
%%% add bilder-pdf to graphicspath
%%%
%%% Revision 1.74  1999/10/18 08:52:44  ke
%%% activate hyphen amchine later
%%% activate T1 for german
%%% add work around for caption handling of hyperref and float
%%% comment out "umlaut-fix" for OT1 ?!?
%%%
%%% Revision 1.73  1999/10/08 10:09:38  ke
%%% prepared for PDF
%%%
%%% Revision 1.72  1999/09/22 14:56:01  ke
%%% SNI replaced by OEM.
%%%
%%% Revision 1.71  1999/07/29 07:02:15  ke
%%% replace xspace by suse-xspace
%%%
%%% Revision 1.70  1999/07/26 14:49:52  ke
%%% add portuges.
%%%
%%% Revision 1.69  1999/07/22 11:46:27  ke
%%% \suse@ttfamilyhyph: Provide hyphenation possibilities for ttfamily
%%%
%%% Revision 1.68  1999/07/16 08:39:19  ke
%%% optin english for the new babel
%%%
%%% Revision 1.67  1999/06/30 15:35:45  ke
%%% english \thecontinue
%%%
%%% Revision 1.66  1999/06/28 08:40:19  ke
%%% require xspace.sty
%%%
%%% Revision 1.65  1999/06/28 08:37:22  ke
%%% change position of \lblob; maybe, it helps...
%%%
%%% Revision 1.64  1999/06/21 09:29:27  ke
%%% - use new fancyhdr instead of fancyhedings
%%% - prepare black marginbar (\blob, \rblob, lblob) and \susebarsstart and
%%% susebarsstop
%%%
%%% Revision 1.63  1999/05/04 18:20:14  ke
%%% add \RequirePackage[latin1]{inputenc} to \DeclareOption{english}
%%% add \RequirePackage[T1]{fontenc} to \DeclareOption{spanish}
%%%
%%% Revision 1.62  1999/04/15 15:27:36  ke
%%% better comment
%%%
%%% Revision 1.61  1999/04/13 06:44:59  ke
%%% ifdefs for architectures.
%%% S.u.S.E -> SuSE.
%%%
%%% Revision 1.60  1999/02/11 16:24:30  ke
%%% add spanish
%
%%%
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{susebuch}[1999/12/01 ^^J
\space\space SuSE Buch-Klasse Anpassung]
%%
%% Needed for the engine
%%
\newlength\fullwidth
\newlength\marginwidth
\newlength\orand
\newlength\urand
\newlength\arand
\newlength\irand
\newlength\@tempdimd
%%
%% DIN B5: 250mm x 176mm
%%
%%\def\bfivepaper{%
%%    \setlength\paperheight     {250mm}%
%%    \setlength\paperwidth      {176mm}%
%%}
\def\bfivepaper{%
    \setlength\paperheight     {240mm}%
    \setlength\paperwidth      {161mm}%
    %
    \normalbaselines%
    %
    \setlength\marginparwidth  {23mm}% beschreibare Randbreite
    \setlength\marginparsep    {3mm}%  Abstand zum Text
    \setlength\marginparpush   {5pt}%
    \setlength\topskip         {10pt}% Tiefe erste Zeile
    \setlength\headheight      {12pt}% Kopfhhe
    \setlength\headsep         {5mm}%  Kopfabstand zum Text
    \setlength\footskip        {8mm}%  Fuabstand zur Unterkante Fu
    \setlength\irand           {19mm}% Innen-Blattrand
    \setlength\arand           {8mm}%  Aussen-Blattrand
    \setlength\orand           {8mm}%  Oberer Rand  Oberkante Kopfzeile
    \setlength\urand           {8mm}%  Untener Rand Oberkante Fuzeile
    \ifnum       \@sptsize=2 %
      \typeout{Size of 12pt ignored^^J} %
      \def\@sptsize{0} %
    \else \ifnum \@sptsize=1 %
      \typeout{Size of 11pt ignored^^J} %
      \def\@sptsize{0} %
    \fi\fi %
    \PassOptionsToClass{10pt}{book}%
}
\def\bfourpaper{%
    \setlength\paperheight     {297mm}%
    \setlength\paperwidth      {210mm}%
    %
    \normalbaselines%
    %
    \setlength\marginparsep      {6mm}%   Abstand zum Text
    \setlength\marginparpush     {5pt}%
    \ifnum       \@sptsize=2 %
      \setlength\marginparwidth  {28mm}%  beschreibare Randbreite
      \setlength\topskip         {12pt}%  Tiefe erste Zeile
      \setlength\headsep         {6mm}%   Kopfabstand zum Text
      \setlength\footskip        {8.5mm}% Fuabstand zur Unterkante Fu
      \setlength\irand           {21mm}%  Innen-Blattrand
      \setlength\arand           {12mm}%  Aussen-Blattrand
      \setlength\orand           {18mm}%  Oberer Rand  Oberkante Kopfzeile
      \setlength\urand           {18mm}%  Untener Rand Oberkante Fuzeile
    \else \ifnum \@sptsize=1 %
      \setlength\marginparwidth  {30mm}%  beschreibare Randbreite
      \setlength\topskip         {11pt}%  Tiefe erste Zeile
      \setlength\headsep         {5.5mm}% Kopfabstand zum Text
      \setlength\footskip        {8.2mm}% Fuabstand zur Unterkante Fu
      \setlength\irand           {22mm}%  Innen-Blattrand
      \setlength\arand           {13mm}%  Aussen-Blattrand
      \setlength\orand           {19mm}%  Oberer Rand  Oberkante Kopfzeile
      \setlength\urand           {19mm}%  Untener Rand Oberkante Fuzeile
    \else  %
      \setlength\marginparwidth  {32mm}%  beschreibare Randbreite
      \setlength\topskip         {10pt}%  Tiefe erste Zeile
      \setlength\headsep         {5mm}%   Kopfabstand zum Text
      \setlength\footskip        {8mm}%   Fuabstand zur Unterkante Fu
      \setlength\irand           {23mm}%  Innen-Blattrand
      \setlength\arand           {14mm}%  Aussen-Blattrand
      \setlength\orand           {20mm}%  Oberer Rand  Oberkante Kopfzeile
      \setlength\urand           {20mm}%  Untener Rand Oberkante Fuzeile
    \fi\fi %
    \setlength\headheight        {12pt}%  Kopfhhe
}
%
%%
\def\@engine{%
    \setlength\textwidth       {\paperwidth}%
    \addtolength\textwidth     {-\irand}%
    \addtolength\textwidth     {-\arand}%
    \addtolength\textwidth     {-\marginparsep}%
    \addtolength\textwidth     {-\marginparwidth}%
    \setlength\columnwidth     {\textwidth}%
    \setlength\oddsidemargin   {-1in}%
    \addtolength\oddsidemargin {\irand}%
%
    \setlength\evensidemargin  {\paperwidth}%
    \addtolength\evensidemargin{-2in}%
    \addtolength\evensidemargin{-\textwidth}%
    \addtolength\evensidemargin{-\oddsidemargin}%
%
    \setlength\fullwidth       {\textwidth}%
    \addtolength\fullwidth     {\marginparsep}%
    \addtolength\fullwidth     {\marginparwidth}%
    \setlength\marginwidth     {\marginparwidth}%
    \addtolength\marginwidth   {\marginparsep}%
%
    \setlength\topmargin       {-1in}%
    \addtolength\topmargin     {\orand}%
    \setlength\@tempdimb       {\footskip}%
    \addtolength\@tempdimb     {\urand}%
%
    \setlength\@tempdima       {\paperheight}%
    \addtolength\@tempdima     {-\orand}%
    \addtolength\@tempdima     {-\headheight}%
    \addtolength\@tempdima     {-\headsep}%
    \addtolength\@tempdima     {-\@tempdimb}%
    \addtolength\@tempdima     {-\topskip}%
    \divide\@tempdima\baselineskip\relax%
    \@tempcnta=\@tempdima\relax%
    \setlength\textheight      {\@tempcnta\baselineskip}%
    \addtolength\textheight    {\topskip}%
}
%%
\DeclareOption{s5paper}{%
  \def\suse@layout{%
    \bfivepaper%
    \@engine%
    \def\suse@layout{}%
  }%
}
%%
\DeclareOption{a4paper}{%
  \def\suse@layout{%
    \bfourpaper%
    \@engine%
    \def\suse@layout{}%
  }%
}
%%
\newif\if@slides \@slidesfalse
\DeclareOption{slides}{%
  \@slidestrue%
}
\DeclareOption{oneside}{%
  \@twosidefalse \@mparswitchfalse%
  \PassOptionsToClass{oneside}{book}%
}
\DeclareOption{twoside}{%
  \@twosidetrue  \@mparswitchtrue%
  \PassOptionsToClass{twoside}{book}%
}
%%
\newcommand{\@sptsize}{}
\DeclareOption{10pt}{%
  \renewcommand\@sptsize{0}%
  \PassOptionsToClass{10pt}{book}%
}
\DeclareOption{11pt}{%
  \renewcommand\@sptsize{1}%
  \PassOptionsToClass{11pt}{book}%
}
\DeclareOption{12pt}{%
  \renewcommand\@sptsize{2}%
  \PassOptionsToClass{12pt}{book}%
}
%%
%% Token erweitern
%%
\def\@ddto#1#2{%
  \ifx#1\@undefined
    \def#1{#2}
  \else
    \ifx#1\relax
      \def#1{#2}
    \else
      {\toks@\expandafter{#1#2}\xdef#1{\the\toks@}}%
    \fi
  \fi}
%%
%% Note: \AtEndOfClass overloads global Options, therefore
%%       we use \AtEndOf@my@Class
%%%
%%% Fetter Typewriter gibt's nur in den cm-extra 
%%%\DeclareOption{oldgerm}{%
\DeclareOption{german}{%
  \def\AtEndOf@my@Class{%
    %
    % german.sty hat bessere Makros als [german]babel.sty
    \RequirePackage{german}
    %
    % Latin Encoding nach ISO-8859-1
    \RequirePackage[T1]{fontenc}
    \RequirePackage[latin1]{inputenc}
    %
    % Fr figbox
    %
    \def\thecontinue{Fortsetzung auf der n\"achsten Seite}
    \def\Symbole{Symbole}
    \def\Nummern{Nummern}
  }%
}
%%%
\DeclareOption{ngerman}{%
  \def\AtEndOf@my@Class{%
    %
    % german.sty hat bessere Makros als [german]babel.sty
    \RequirePackage{ngerman}
    %
    % Latin Encoding nach ISO-8859-1
    \RequirePackage[T1]{fontenc}
    \RequirePackage[latin1]{inputenc}
    %
    % Fr figbox
    %
    \def\thecontinue{Fortsetzung auf der n\"achsten Seite}
    \def\Symbole{Symbole}
    \def\Nummern{Nummern}
  }%
}
%%
%%%
%%% Fetter Typewriter gibt's nicht in den ec Fonts
%%%\DeclareOption{german}{%
\DeclareOption{newger}{%
  \def\AtEndOf@my@Class{%
    %
    %   Deutsche Hyphen aus babel.sty
    \RequirePackage[german]{babel}
    %
    %   Latin Font-Encoding nach ISO-8859-1
    \RequirePackage[T1]{fontenc}
    %
    %   Latin Encoding nach ISO-8859-1
    \RequirePackage[latin1]{inputenc}
    %
    %   Fr figbox
    %
    \def\thecontinue{Fortsetzung auf der nchsten Seite}
    \def\Symbole{Symbole}
    \def\Nummern{Nummern}
  }%
}
%%
\DeclareOption{english}{%
  \def\AtEndOf@my@Class{%
    %
    %   Einige wichtige Makros
    \RequirePackage[english]{babel}
%    \RequirePackage{english}
    \RequirePackage[latin1]{inputenc}
    %
    %   Fr figbox
    %
    \def\thecontinue{continued overleaf\ldots}
    \def\Symbole{Symbols}
    \def\Nummern{Numbers}
  }%
}
%%
\DeclareOption{french}{%
  \def\AtEndOf@my@Class{%
    %
    %   Einige wichtige Makros
    \RequirePackage[francais]{babel}
    %
    %   Latin Font-Encoding nach ISO-8859-1
    %   _unbedingt_ noetig, da sonst die akzentuierten Character
    %   wie '' in 'thecontinue' nicht durchkommen !!!
    \RequirePackage[T1]{fontenc}
    %
    %   Latin Encoding nach ISO-8859-1
    % erforderlich, weil latin1 Character im Input vorkommen (,, ...)
    \RequirePackage[latin1]{inputenc}
    %
    %   Fr figbox
    %
    \def\thecontinue{Continuer  la page suivante}
    \def\Symbole{Symboles}
    \def\Nummern{Numros}
  }%
}
\DeclareOption{spanish}{%
  \def\AtEndOf@my@Class{%
    %
    %   Einige wichtige Makros
    \RequirePackage[spanish]{babel}
    %
    %   Latin Font-Encoding nach ISO-8859-1
    %% (eventuell noetig)
    \RequirePackage[T1]{fontenc}
    %
    %   Latin Encoding nach ISO-8859-1
    % erforderlich, weil latin1 Character im Input vorkommen (,, ...)
    \RequirePackage[latin1]{inputenc}
    %
    %   Fr figbox
    %
    \def\thecontinue{Contina en la pgina siguiente }
    \def\Symbole{Smbolos}
    \def\Nummern{Nmeros}
  }%
}
\DeclareOption{italian}{%
  \def\AtEndOf@my@Class{%
    %
    %   Einige wichtige Makros
    \RequirePackage[italian]{babel}
    %
    %   Latin Font-Encoding nach ISO-8859-1
    %% (eventuell noetig)
   \RequirePackage[T1]{fontenc}
    %
    %   Latin Encoding nach ISO-8859-1
    % erforderlich, weil latin1 Character im Input vorkommen (,, ...)
    \RequirePackage[latin1]{inputenc}
    %
    %   Fr figbox
    %
    \def\thecontinue{Continua alla pagina seguente}
    \def\Symbole{Symbols}
    \def\Nummern{Numbers}
  }%
}
%%
\DeclareOption{portuges}{%
  \def\AtEndOf@my@Class{%
    %
    %   Einige wichtige Makros
    \RequirePackage[portuges]{babel}
    %
    %   Latin Font-Encoding nach ISO-8859-1
    %% (eventuell noetig)
    \RequirePackage[T1]{fontenc}
    %
    %   Latin Encoding nach ISO-8859-1
    % erforderlich, weil latin1 Character im Input vorkommen (,, ...)
    \RequirePackage[latin1]{inputenc}
    %
    %   Fr figbox
    %
    %  Please, translate
    %% \def\thecontinue{}
    %% \def\Symbole{}
    %% \def\Nummern{}
  }%
}
%%
\DeclareOption{ordnerseiten}{%
  \def\suse@pagenumbering@full#1{%
    \global\c@page \@ne%
    \gdef\thepage{\thechapter-\csname @#1\endcsname\c@page}}
  \def\suse@pagenumbering@half#1{%
    \global\c@page \@ne \gdef\thepage{\csname @#1\endcsname\c@page}}
  \def\suse@chaptersetpagecounter{\setcounter{page}{1}}
}
%%
\DeclareOption{buchseiten}{%
  \def\suse@pagenumbering@full#1{%
    \global\c@page \@ne \gdef\thepage{\csname @#1\endcsname\c@page}}
  \def\suse@pagenumbering@half#1{%
    \gdef\thepage{\csname @#1\endcsname\c@page}}
  \def\suse@chaptersetpagecounter{\relax}
}
%%
\DeclareOption*{\PassOptionsToPackage{\CurrentOption}{susemac}}
%%
\ExecuteOptions{s5paper,10pt,english,buchseiten}
\ProcessOptions*
\LoadClass{book}
%% ke %% %%
%% ke %% %% berschreibe Sprachmakros von inputenc falls german definiert.
%% ke %% %%
%% ke %% %% Why??? -ke-
%% ke %% %%
%% ke %% \chardef\save@catcode=\catcode`\"
%% ke %% \catcode`\"\active
%% ke %% \@ddto\AtEndOf@my@Class{ \aftergroup \endgroup%
%% ke %%   \@ifundefined{mdqon}{}{% german.sty or germanb.ldf is loaded
%% ke %%     \@ifundefined{DeclareInputText}{}{% inputenc.sty is loaded
%% ke %%       \let\suse@mdqon\mdqon
%% ke %%       \let\suse@mdqoff\mdqoff
%% ke %%       \def\fix@umlaut{\protect"}
%% ke %%       \def\mdqon{\suse@mdqon\def\fix@umlaut{\protect"}}
%% ke %%       \def\mdqoff{\suse@mdqoff\def\fix@umlaut{\protect\"}}
%% ke %%       \DeclareInputText{"0E4}{\fix@umlaut a}
%% ke %%       \DeclareInputText{"0C4}{\fix@umlaut A}
%% ke %%       \DeclareInputText{"0F6}{\fix@umlaut o}
%% ke %%       \DeclareInputText{"0D6}{\fix@umlaut O}
%% ke %%       \DeclareInputText{"0FC}{\fix@umlaut u}
%% ke %%       \DeclareInputText{"0DC}{\fix@umlaut U}
%% ke %%       \DeclareInputText{"0DF}{\fix@umlaut s}
%% ke %% }}}
%% ke %% \catcode`\"\save@catcode
%%
%% Remove macro
%%
\@ddto\AtEndOf@my@Class{\let\AtEndOf@my@Class\relax}
%%
%% Richtiges LayOut erstellen
%%
\suse@layout
%%
%% Nonsens bei dem LayOut
%%
\if@twocolumn{\PackageError{SuSE Buch^^J}{\@spaces%
  You can not twocolumn with SuSE Buch}{\@@end}}\@twocolumnfalse\fi
%%
%% Floating
%%
% "Ubertrieben, aber...
%
\setcounter{totalnumber}{9}
\setcounter{topnumber}{4}
\setcounter{bottomnumber}{2}
\setcounter{dbltopnumber}{7}
%
% Damit sollte es weniger Probleme geben.
%
\renewcommand\floatpagefraction{.7}
\renewcommand\dblfloatpagefraction{.7}
\renewcommand\topfraction{.8}
\renewcommand\bottomfraction{.7}
\renewcommand\textfraction{.1}
\renewcommand\dbltopfraction{.7}
\def\fps@figure{ht}
%
\clubpenalty=4000
\widowpenalty=4000
\displaywidowpenalty=1200
%
% Laden der Groessendefinitionen
%
\input{sb1\@sptsize.clo}
%
% Kontrolliert den Umbruch
%
\let\suse@fussy\fussy
\renewcommand\fussy{%
  \if@widen
    \suse@fussy
    \emergencystretch0.25em
    \pretolerance=100
    \tolerance=200
    \hyphenpenalty=50
    \exhyphenpenalty=50
    \brokenpenalty=100
  \else
    \emergencystretch1.25em
    \hfuzz .25\p@
    \vfuzz .1\p@
    \pretolerance=175
    \tolerance=350
    \hyphenpenalty=60
    \exhyphenpenalty=120
    \brokenpenalty=20
  \fi}
%
% Provide hyphenation possibilities for ttfamily
%
\newcommand{\suse@ttfamilyhyph}{\ttfamily \hyphenchar\font=`\-}
%
% rger mit marginpar --- hoffentlich hilft's was
%
\newcommand\@reset{\hbox{\kern\p@}}
\let\suse@marginpar\marginpar
\def\full@suse@marginpar[#1]#2{%
  \@tempdimb=\pagegoal \advance\@tempdimb by -\pagetotal%
  \ifdim\@tempdimb<\baselinestretch\baselineskip%
    \enlargethispage{-5\baselineskip}%
    \suse@marginpar[#1]{#2}%
    \enlargethispage{5\baselineskip}%
  \else%
    \suse@marginpar[#1]{#2}%
  \fi}
%
\def\@suse@marginpar#1{%
  \@tempdimb=\pagegoal \advance\@tempdimb by -\pagetotal%
  \ifdim\@tempdimb<\baselinestretch\baselineskip%
    \enlargethispage{-5\baselineskip}%
    \suse@marginpar{#1}%
    \enlargethispage{5\baselineskip}%
  \else%
    \suse@marginpar{#1}%
  \fi}
%
\renewcommand\marginpar{%
  \@reset% Oh oh
  \@ifnextchar[\full@suse@marginpar\@suse@marginpar}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\RequirePackage{suse-xspace}
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Specials vom Layout
%
%
\RequirePackage{everyshi}
%
% Dazu brauchts das everyshi Paket
% Wir kontrollieren hier den n"otigen horiz. Offset einer
% breiten float und das Verhalten einer widepage
%
\newlength\l@margin
\newif\if@widen \@widenfalse
\EveryShipout{%
  \ifodd\c@page%
    \global\l@margin\marginwidth%
  \else%
    \global\l@margin\z@%
  \fi}
%
% Das sind die Ma"se einer vollen Seite
%
\def\@widen{%
  \if@widen%
    \hsize\fullwidth%
    \textwidth\fullwidth%
    \linewidth\fullwidth%
    \columnwidth\fullwidth%
    \evensidemargin\paperwidth%
    \advance\evensidemargin by -2in%
    \advance\evensidemargin by -\textwidth%
    \advance\evensidemargin by -\oddsidemargin%
    \marginparsep\z@%
    \marginparwidth\z@%
  \fi%
  %%%%% Nach der Rand-Kalkulation!!
  \boxed@widen}
%
\def\boxed@widen{%
  \if@boxit%
    % Falls der Wert vor \fboxsep gendert wird,
    % bitte den halben Wert in \make@frame@if@need
    % zum Verschieben des Inhaltes ebenfalls ndern.
    \advance\hsize by -3.3\fboxsep%
    \advance\textwidth by -3.3\fboxsep%
    \advance\linewidth by -3.3\fboxsep%
    \advance\columnwidth by -3.3\fboxsep%
  \fi}
%
% F"ur die Umgebung der widepage werden wir die minipage verwenden, nur so
% verh"alt sich die @widebox perfekt. Ansonsten gibt's Probleme mit Anfang
% und Ende.  Am Schlu"s setzen wir die @widebox hoffentlich auf der richtigen
% Seite auf den linken bzw. rechten Rand "uber den freigehaltenen Platz.
% Hope: Die Randbox (auch nur' ne float) sollte sich nicht bewegen!
%
\newbox\@widebox
\newenvironment{widepage}{%
  \bgroup
  \par\penalty-501\relax%           A good break
  \global\setbox\@widebox
    \color@vbox
      \normalcolor
      \vbox\bgroup
        \@boxitfalse
        \global\@widentrue\@widen
        \fussy\relax%
        \def\marginpar{\typeout{Package SuSE Buch Warning:^^J^^J%
              Marginpar not allowed within widepage environment^^J}}
        \begin{minipage}[t]{\textwidth}
  }{%
        \end{minipage}
        \global\@widenfalse
        \outer@nobreak
      \egroup%
    \color@endbox
  \@tempdima=\dp\@widebox \advance\@tempdima by \ht\@widebox %
  \@tempdimb=\pagegoal \advance\@tempdimb by -\pagetotal %
  \ifdim\@tempdimb<\baselinestretch\baselineskip%
    \pagebreak
  \fi
  \leavevmode\rule[-\dp\@widebox]{0mm}{\@tempdima}%
  \suse@marginpar[\hbox to \marginparwidth{\strut\copy\@widebox\hss}]%
            {\hbox to \marginparwidth{\hss  \box \@widebox\strut}}%
  \hfill\strut
  \egroup}
%
% Das ist einfach
%
\newenvironment{fullpage}{%
   \clearpage\bgroup
   \@boxitfalse
   \global\@widentrue\@widen\fussy
   \def\marginpar{\typeout{Package SuSE Buch Warning:^^J^^J%
         Marginpar not allowed within widepage environment^^J}}
   \ignorespaces%
   }{%
   \clearpage\global\@widenfalse\egroup}
%
% Float m"ussen ebenfalls dem Seitenlayout folgen
%
\RequirePackage{float}
\newcommand{\fs@suse}{%
   \def\@fs@cfont{\rmfamily}%
   \let\@fs@capt\floatc@plain%
   \def\@fs@pre{\make@frame@if@need\@currbox}%
   \def\@fs@post{\global\@boxitfalse\global\@widenfalse\@widen}%
   \def\@fs@mid{\vskip-\lastskip\vskip0.6\baselineskip plus 0.15\baselineskip minus 0.2\baselineskip}%
   \let\@fs@iftopcapt\iffalse}
%
\renewcommand\@dblfloat{\bgroup\global\@widentrue\@widen\fussy\@float}
\renewcommand\float@dblend{\float@end%
  \global\@widenfalse\egroup} %% Package  float.sty
\renewcommand\end@dblfloat{\end@float%
  \global\@widenfalse\egroup} %% Original latex.ltx
%
%
\floatstyle{suse}
\restylefloat{figure}
\restylefloat{table}
\floatplacement{figure}{htb}
\floatplacement{table}{htb}
%
\def\copy@shift@ifneed#1{%
  \ifdim \wd#1 > 1.05\textwidth%
    \setbox#1=\vbox{\moveleft\l@margin\box#1}%
  \fi%
  \unvbox#1}
%
% Makros zum Brechen von Boxen
%
\long\def\@whiledim#1\do #2{\ifdim #1\relax#2\@iwhiledim{#1\relax#2}\fi}
\long\def\@breakfigbox#1#2#3#4#5{%
  % #1  Bentigter Platz
  % #2  Vorhandener Platz
  % #3  Zeilenhhe + Hhe der Fortsetzungscaption
  % #4  Zu brechende Box
  % #5  Box der Fortsetzungscaption
  \@whiledim#1>#2 \do{%
    \if@boxit \advance#2 by -4\fboxsep \fi %
    \advance#2 by -#3 %
    \advance#2 by \parskip %
    \global\setbox\@tempboxa=\vsplit#4 to #2 %
    #1=\dp#4 \advance#1 by \ht#4 %
    \make@frame@if@need\@tempboxa %
    \global\setbox\@tempboxa=%
      \vbox{\hsize\columnwidth\@parboxrestore
        \unvbox\@tempboxa
        \ifvbox#5\par\@fs@mid\copy#5\fi
        \par\vskip\z@}
    \nopagebreak %
    \copy@shift@ifneed\@tempboxa %
    \pagebreak %
    % \pagegoal ist falsch an dieser Stelle
    #2=\textheight}}
%
\long\def\@lastfigbox#1#2{
  % #4  Zu brechende Box
  % #5  Box der Caption
  \make@frame@if@need#1
  \global\setbox#1=%
    \vbox{\hsize\columnwidth\@parboxrestore
      \unvbox#1
      \ifvbox#2\par\@fs@mid\unvbox#2\fi
      \par\@fs@post\vskip-\lastskip}
  \copy@shift@ifneed#1}
%
% LaTeX interna fr widepage
%
\def \@cflt{%
    \let \@elt \@comflelt
    \setbox\@tempboxa \vbox{}%
    \@toplist
    \setbox\@outputbox \vbox{%
                             \boxmaxdepth \maxdepth
                             \copy@shift@ifneed\@tempboxa
                             \vskip -\floatsep
                             \topfigrule
                             \vskip \textfloatsep
                             \unvbox\@outputbox
                             }%
    \let\@elt\relax
    \xdef\@freelist{\@freelist\@toplist}%
    \global\let\@toplist\@empty
}
%
\def \@cflb {%
    \let\@elt\@comflelt
    \setbox\@tempboxa \vbox{}%
    \@botlist
    \setbox\@outputbox \vbox{%
                             \unvbox\@outputbox
                             \vskip \textfloatsep
                             \botfigrule
                             \copy@shift@ifneed\@tempboxa
                             \vskip -\floatsep
                             }%
    \let\@elt\relax
    \xdef\@freelist{\@freelist\@botlist}%
    \global \let \@botlist\@empty
}
%
\def \@addtocurcol {%
   \@insertfalse
   \@setfloattypecounts
   \ifnum \@fpstype=8
   \else
     \ifnum \@fpstype=24
     \else
       \@flsettextmin
       \advance \@textmin \@textfloatsheight
       \@reqcolroom \@pageht
       \ifdim \@textmin>\@reqcolroom
         \@reqcolroom \@textmin
       \fi
       \advance \@reqcolroom \ht\@currbox
       \ifdim \@colroom>\@reqcolroom
         \@flsetnum \@colnum
         \ifnum \@colnum>\z@
           \@bitor\@currtype\@deferlist
           \if@test
           \else
             \@bitor\@currtype\@botlist
             \if@test
               \@addtobot
             \else
               \ifodd \count\@currbox
                 \advance \@reqcolroom \intextsep
                 \ifdim \@colroom>\@reqcolroom
                   \global \advance \@colnum \m@ne
                   \global \advance \@textfloatsheight \ht\@currbox
                   \global \advance \@textfloatsheight 2\intextsep
                   \@cons \@midlist \@currbox
                   \if@nobreak
                   \else
                     \addpenalty \interlinepenalty
                   \fi
                   \vskip \intextsep
                   \copy@shift@ifneed\@currbox
                   \penalty\interlinepenalty
                   \vskip\intextsep
                   \ifnum\outputpenalty <-\@Mii \vskip -\parskip\fi
                   \outputpenalty \z@
                   \@inserttrue
                 \fi
               \fi
               \if@insert
               \else
                 \@addtotoporbot
               \fi
             \fi
           \fi
         \fi
       \fi
     \fi
   \fi
   \if@insert
   \else
     \@resethfps
     \@cons\@deferlist\@currbox
   \fi
}
%
\newif\if@caption \@captionfalse
%
\let\@float@caption\float@caption
\def\float@caption#1[#2]#3{%
  \global\@captiontrue
  \@float@caption{#1}[{#2}]{#3}}
%
\newif\if@boxit   \@boxitfalse
\newcommand\box@it{\@ifnextchar[\@box@it{\global\@boxitfalse}}
\def\@box@it[#1]{{\obeyspaces%
  \def\reserved@a{#1}%
  \if \reserved@a b%
    \global\@boxittrue%
  \else%
    \global\@boxitfalse%
    \PackageError{SuSE Buch^^J}{\@spaces%
        Unknown option for figbox environment\on@line\space other}{\@ehb}%
  \fi}%
  \@widen%
  \ignorespaces}
%
\newcommand{\boxit}{\@boxittrue}
%
\newcommand{\make@frame@if@need}[1]{%
  \if@boxit%
    \setbox#1=\vbox{\moveright 1.65\fboxsep\box#1}%
    \global\setbox#1=%
    \vbox{\if@widen\@widen%
      \hsize\fullwidth %
      \framebox[\fullwidth]{\hsize\columnwidth\@parboxrestore\box#1}%
          \else%
      \hsize\textwidth %
      \framebox[\textwidth]{\hsize\columnwidth\@parboxrestore\box#1}%
          \fi%
    }%
  \fi%
}
%
\newbox\suse@figbox
\newcommand\@figbox{%
  \ifinner%
     \PackageError{SuSE Buch^^J}{\@spaces%
        Please call the figbox environment\on@line\space not within other}%
        {\@@end}%
  \fi%
  \par\vskip\intextsep
  \bgroup\@ifundefined{restylefloat}{%
     \PackageError{SuSE Buch^^J}{\@spaces%
        Need Style float.sty}{\@@end}}{}%
  \@nameuse{fst@figure}
  \def\@captype{figure}
  \global\@captionfalse
  \@bsphack %
  \global\setbox\suse@figbox
    \color@vbox
      \normalcolor
      \vbox \bgroup
        \hsize\columnwidth \@parboxrestore \@floatboxreset}
%
\newbox\@splitcapt
%
% Arghhh -- etwas zu lang und un"ubersichtlich :-(((
%
\long\def\end@figbox{\par\vskip-\lastskip%
        \global\@minipagefalse \outer@nobreak
      \egroup%
    \color@endbox{\vbadness10000%
  \@tempdima=\dp\suse@figbox
  \advance\@tempdima by \ht\suse@figbox
  \ifvbox\@floatcapt
    \advance\@tempdima by \ht\@floatcapt
    \advance\@tempdima by \dp\@floatcapt
  \fi
  \@tempdimb=\pagegoal
  \advance\@tempdimb by -\pagetotal
    \setbox\@splitcapt\vbox{\hsize\columnwidth\@parboxrestore
      \if@caption{\@fs@cfont\@nameuse{fnum@\@captype}}\fi%
      {\ignorespaces\space --- {\slshape\thecontinue}}}
  \@tempdimc=\baselinestretch\baselineskip
  \advance\@tempdimc by \ht\@splitcapt
  \advance\@tempdimc by \dp\@splitcapt
  \ifdim\@tempdimb<\@tempdimc
    \pagebreak
    % Nicht \pagegoal da footnote mglich
    \@tempdimb=\textheight
  \else
    \advance\@tempdimb by -\intextsep
  \fi
  %
  % Hier wird die suse@figbox notfalls zerlegt
  % und eine Bruch-Caption gesetzt
  %
  \@breakfigbox\@tempdima\@tempdimb\@tempdimc\suse@figbox\@splitcapt
  %
  \@tempdimb\z@
  \@lastfigbox\suse@figbox\@floatcapt
  \global\@captionfalse \setbox\@splitcapt\vbox{}
  \vskip \intextsep \relax}\egroup %
  \global\@widenfalse \global\@boxitfalse \@Esphack }
%
\newcommand\wide@figbox{%
  \@figbox%
  \bgroup
    \global\@widentrue\@widen
    \fussy\relax\ignorespaces}
%
\def\endwide@figbox{%
  \egroup%
  \if@widen\else%
     \PackageError{SuSE Buch^^J}{\@spaces%
        Ops --- may a figbox ends with figbox* \on@line}%
        {}%
  \fi%
  \end@figbox}
%
\newenvironment{figbox}{%
  \@figbox%
  \global\@boxitfalse\box@it%
 }{%
  \end@figbox}
%
\newenvironment{figbox*}{%
  \bgroup\wide@figbox%
  \global\@boxitfalse\box@it%
 }{%
  \endwide@figbox\egroup}
%
%
%%
%% Headings
%%
%\RequirePackage{fancyheadings}
\RequirePackage{fancyhdr}
\pagestyle{fancyplain}
\setlength\headwidth{\fullwidth}
%
% Eigene Kapitel- und Abschnittsberschriften
%
\renewcommand\chapter{\if@openright\cleardoublepage\else\clearpage\fi
                      \thispagestyle{plain}%
                      \global\@topnum\z@
                      \@afterindentfalse
                      \secdef\@chapter\@schapter}
%
% Leider mssen wir noch ein internes Makro umdefinieren :-(
%
\def\@makechapterhead#1{%
  \suse@chaptersetpagecounter%
  \vspace*{35\p@}%
  {\parindent \z@ \parskip \z@ \normalfont
    \ifnum \c@secnumdepth >\m@ne
      \if@mainmatter
        \hbox to \textwidth{%
            \vbox{\hsize\fullwidth %
              \strut \hfill {\huge\@chapapp}\ \ {\Huge\bfseries\thechapter}}\hss}
        \par\nobreak
      \else
        \strut\par\nobreak
      \fi
    \else
      \strut\par\nobreak
    \fi
    \vskip 15\p@
    \interlinepenalty\@M
    \hbox to \textwidth{%
      \vbox{\hsize\fullwidth\raggedleft\Huge\bfseries#1}\hss}
    \par\nobreak
    \vskip 35\p@
  }}
%
\def\@makeschapterhead#1{%
  \vspace*{35\p@}%
  {\parindent \z@ \parskip \z@ \normalfont
    \strut\par\nobreak
    \vskip 21.0\p@
    \interlinepenalty\@M
    \hbox to \textwidth{%
      \vbox{\hsize\fullwidth\raggedleft\Huge\bfseries#1}\hss}
    \par\nobreak
    \vskip 35\p@
  }}
%
\renewcommand\pagenumbering{%
  \@ifstar\suse@pagenumbering@half\suse@pagenumbering@full}
\pagenumbering{arabic}

\renewcommand{\section}{\suppressfloats[t]\smallbreak%
                \@startsection {section}{1}{\z@}%
                               {-1.7ex \@plus -1ex \@minus -.2ex}%
                               {1.1ex \@plus.2ex}%
                               {\normalfont\large\bfseries}}
\renewcommand{\subsection}{\smallbreak%
                \@startsection {subsection}{2}{\z@}%
                               {-1.4ex\@plus -1ex \@minus -.2ex}%
                               {0.8ex \@plus .2ex}%
                               {\normalfont\normalsize\bfseries}}
\renewcommand{\subsubsection}{\smallbreak%
                \@startsection {subsubsection}{3}{\z@}%
                               {-1.4ex\@plus -1ex \@minus -.2ex}%
                               {0.8ex \@plus .2ex}%
                               {\normalfont\normalsize\bfseries}}
\renewcommand{\paragraph}{\smallbreak%
                \@startsection {paragraph}{4}{\z@}%
                               {2.55ex \@plus1ex \@minus.2ex}%
                               {-1.1em}%
                               {\normalfont\normalsize\bfseries}}
\renewcommand{\subparagraph}{\smallbreak%
                \@startsection {subparagraph}{5}{\parindent}%
                               {2.55ex \@plus1ex \@minus .2ex}%
                               {-1.1em}%
                               {\normalfont\normalsize\bfseries}}
%
\def\suse@mark#1{{%
  \ifnum \c@secnumdepth >\m@ne
    \if@mainmatter
      \thechapter. \ %
    \fi
  \fi #1}}
%
\renewcommand{\chaptermark}[1]{%
  \markboth {\suse@mark{#1}}{\suse@mark{#1}}}
%
\renewcommand{\sectionmark}[1]{%
  \markright {{%
      \ifnum \c@secnumdepth >\z@
        \thesection. \ %
      \fi
      #1}}}
%
\lhead[\fancyplain{}{\bfseries\leftmark}]{}
\rhead[]{\fancyplain{}{\bfseries\rightmark}}
\chead{}
%
\lfoot[\fancyplain{}{\bfseries\thepage}]{} 
\cfoot{}
\rfoot[]{\fancyplain{\bfseries\thepage}{\bfseries\thepage}}
%
% left and right vertical bar to mark the support chapter, e.g.
% from inspired by fancyhdr.dvi, extremly simplified.
%
\setlength{\unitlength}{1cm}
%\newcommand{\blob}{\rule[-.2\unitlength]{2\unitlength}{.5\unitlength}}
\newcommand{\blob}{\rule[-12cm]{1cm}{12cm}}
\newcommand{\rblob}{%\thepage
  \begin{picture}(0,0)
    %\put(1,-\value{section}){\blob}
    \put(0.4,-1){\blob}
  \end{picture}}
\newcommand{\lblob}{
  \begin{picture}(0,0)
    \put(-9,-1){\blob}
    %\put(-3.2,-1){\blob}
  \end{picture}%
  %\thepage
  }
%
\newcommand{\susebarsstart}{%
  \rhead[]{\fancyplain{}{\bfseries\rightmark}\rblob}
  \lhead[\fancyplain{}{\bfseries\leftmark}\lblob]{}
}
\newcommand{\susebarsstop}{%
  \rhead[]{\fancyplain{}{\bfseries\rightmark}}
  \lhead[\fancyplain{}{\bfseries\leftmark}]{}
}
%
% Inhaltsverzeichnis
%
\renewcommand\listoffigures{%
    \if@twocolumn
      \@restonecoltrue\onecolumn
    \else
      \@restonecolfalse
    \fi
    \chapter*{\listfigurename}
    \@mkboth{\listfigurename}{\listfigurename}%
    \@starttoc{lof}%
    \if@restonecol\twocolumn\fi
    }
%
\renewcommand\listoftables{%
    \if@twocolumn
      \@restonecoltrue\onecolumn
    \else
      \@restonecolfalse
    \fi
    \chapter*{\listtablename}%
    \@mkboth{\listtablename}{\listtablename}%
    \@starttoc{lot}%
    \if@restonecol\twocolumn\fi
    }
%
\renewcommand\tableofcontents{%
    \if@twocolumn
      \@restonecoltrue\onecolumn
    \else
      \@restonecolfalse
    \fi
    \chapter*{\contentsname}
    \@mkboth{\contentsname}{\contentsname}%
    \@starttoc{toc}%
    \if@restonecol\twocolumn\fi
    }
%
\setcounter{tocdepth}{2}
\renewcommand\@pnumwidth{6ex}
\renewcommand\@tocrmarg{2.85em}
\renewcommand\@dotsep{17}
%%
%
%  Fonts-Stuff
%
\RequirePackage{amsfonts}
\RequirePackage{amsmath}
\RequirePackage{amssymb}
\RequirePackage{mathptm} % should be loaded after ams*.sty because
                         % the matversion bold will be set to undefined
%% \RequirePackage{times}
%
% Helvetica Encoding etwas kleiner
%
\def\x{T1}
\ifx\x\encodingdefault
  \DeclareFontFamily{T1}{phv}{}
  \DeclareFontShape{T1}{phv}{b}{n}{   <-> s * [0.92] phvb8t   }{}
  \DeclareFontShape{T1}{phv}{b}{sc}{  <-> s * [0.92] phvbc8t  }{}
  \DeclareFontShape{T1}{phv}{b}{sl}{  <-> s * [0.92] phvbo8t  }{}
  \DeclareFontShape{T1}{phv}{bc}{n}{  <-> s * [0.92] phvb8tn  }{} 
  \DeclareFontShape{T1}{phv}{bc}{sc}{ <-> s * [0.92] phvbc8tn }{}
  \DeclareFontShape{T1}{phv}{bc}{sl}{ <-> s * [0.92] phvbo8tn }{}
  \DeclareFontShape{T1}{phv}{m}{n}{   <-> s * [0.92] phvr8t   }{}
  \DeclareFontShape{T1}{phv}{m}{sc}{  <-> s * [0.92] phvrc8t  }{}
  \DeclareFontShape{T1}{phv}{m}{sl}{  <-> s * [0.92] phvro8t  }{}
  \DeclareFontShape{T1}{phv}{mc}{n}{  <-> s * [0.92] phvr8tn  }{}
  \DeclareFontShape{T1}{phv}{mc}{sc}{ <-> s * [0.92] phvrc8tn }{}
  \DeclareFontShape{T1}{phv}{mc}{sl}{ <-> s * [0.92] phvro8tn }{}
\else
  \DeclareFontFamily{OT1}{phv}{}
  \DeclareFontShape{OT1}{phv}{b}{n}{   <-> s * [0.92] phvb7t   }{}
  \DeclareFontShape{OT1}{phv}{b}{sc}{  <-> s * [0.92] phvbc7t  }{}
  \DeclareFontShape{OT1}{phv}{b}{sl}{  <-> s * [0.92] phvbo7t  }{}
  \DeclareFontShape{OT1}{phv}{bc}{n}{  <-> s * [0.92] phvb7tn  }{}
  \DeclareFontShape{OT1}{phv}{bc}{sc}{ <-> s * [0.92] phvbc7tn }{}
  \DeclareFontShape{OT1}{phv}{bc}{sl}{ <-> s * [0.92] phvbo7tn }{}
  \DeclareFontShape{OT1}{phv}{m}{n}{   <-> s * [0.92] phvr7t   }{}
  \DeclareFontShape{OT1}{phv}{m}{sc}{  <-> s * [0.92] phvrc7t  }{}
  \DeclareFontShape{OT1}{phv}{m}{sl}{  <-> s * [0.92] phvro7t  }{}
  \DeclareFontShape{OT1}{phv}{mc}{n}{  <-> s * [0.92] phvr7tn  }{}
  \DeclareFontShape{OT1}{phv}{mc}{sc}{ <-> s * [0.92] phvrc7tn }{}
  \DeclareFontShape{OT1}{phv}{mc}{sl}{ <-> s * [0.92] phvro7tn }{}
\fi

\DeclareFontShape{\encodingdefault}{phv}{bx}{n}{ <->ssub * phv/b/n  }{}
\DeclareFontShape{\encodingdefault}{phv}{bx}{sc}{<->ssub * phv/b/sc }{}
\DeclareFontShape{\encodingdefault}{phv}{bx}{sl}{<->ssub * phv/b/sl }{}
\DeclareFontShape{\encodingdefault}{phv}{b}{it}{ <->ssub * phv/b/sl }{}
\DeclareFontShape{\encodingdefault}{phv}{bx}{it}{<->ssub * phv/b/it }{}
\DeclareFontShape{\encodingdefault}{phv}{b}{ui}{ <->sub  * phv/b/it }{}
\DeclareFontShape{\encodingdefault}{phv}{bx}{ui}{<->ssub * phv/b/ui }{}
\DeclareFontShape{\encodingdefault}{phv}{bc}{it}{<->ssub * phv/bc/sl}{}
\DeclareFontShape{\encodingdefault}{phv}{bc}{ui}{<->sub  * phv/bc/it}{}
\DeclareFontShape{\encodingdefault}{phv}{l}{n}{  <->ssub * phv/m/n  }{}
\DeclareFontShape{\encodingdefault}{phv}{l}{sc}{ <->ssub * phv/m/sc }{}
\DeclareFontShape{\encodingdefault}{phv}{l}{sl}{ <->ssub * phv/m/sl }{}
\DeclareFontShape{\encodingdefault}{phv}{m}{it}{ <->ssub * phv/m/sl }{}
\DeclareFontShape{\encodingdefault}{phv}{l}{it}{ <->ssub * phv/m/it }{}
\DeclareFontShape{\encodingdefault}{phv}{m}{ui}{ <->sub  * phv/m/it }{}
\DeclareFontShape{\encodingdefault}{phv}{l}{ui}{ <->ssub * phv/m/ui }{}
\DeclareFontShape{\encodingdefault}{phv}{mc}{it}{<->ssub * phv/mc/sl}{}
\DeclareFontShape{\encodingdefault}{phv}{mc}{ui}{<->sub  * phv/mc/it}{}

\if@slides
  \renewcommand{\rmdefault}{cmss}
  \renewcommand{\sfdefault}{cmss}
  \renewcommand{\ttdefault}{cmtt}
  \renewcommand{\itdefault}{sl}
  \renewcommand{\sldefault}{sl}
  \renewcommand{\bfdefault}{bx}
% \DeclareFontShape{OMS}{cmss}{m}{n}
%   {<-> ssub * cmsy/m/n}{}
\else
  \renewcommand{\sfdefault}{phv}
  \renewcommand{\rmdefault}{ptm}
\fi
\ifx\x\encodingdefault
  \PackageError{SuSE Buch^^J}{\@spaces no bold typewriter in ec available}{}
  \DeclareFontShape{T1}{cmtt}{bx}{n}
    {<->ssub * cmtt/m/n}{}
\else
  \DeclareFontShape{OT1}{cmtt}{bx}{n}
    {<5><6><7><8>cmtt8
     <9> cmbtt9
     <10><10.95><12><14.4><17.28><20.74><24.88>cmbtt10 }{}
\fi
%%
%% Damit ist das Silbenbrechen auch nach `-' erlaubt
%%
\def\@strich#1{%
  \if^^2d#1%
    \penalty\@M\discretionary{^^2d}{}{^^2d}\penalty\@M\hskip\z@skip%
  \else%
    \discretionary{^^2d}{}{}#1%
  \fi}
\DeclareRobustCommand{\-}{\@strich}
\let\@dischyph\-
%%
%%  Der supertabular-Style
%%  Der longtable-Style
%%
\RequirePackage{longtable}
  \setcounter{LTchunksize}{6}
%%
%% Der Index
%%
\RequirePackage{multicol}
\RequirePackage{makeidx}
  \makeindex
%
\renewcommand\@idxitem{\par\hangindent    4.0ex}
\renewcommand\@idxitem{\par\hangindent    4.0ex}
\renewcommand\subitem{\par\hangindent     4.0ex\hspace*{2.0ex}}
\renewcommand\subsubitem{\par\hangindent  4.0ex\hspace*{1.0ex}}
\renewcommand\indexspace{\par \vskip 10\p@ \@plus5\p@ \@minus3\p@\relax}
%
\renewenvironment{theindex}%
               {\columnseprule \z@
                \columnsep 21\p@
                \begin{multicols}{3}[\chapter*{\indexname}
                \@mkboth{\indexname}%
                        {\indexname}]%
                \thispagestyle{plain}\parindent\z@
                \parskip\z@ \@plus .3\p@\relax
                \let\item\@idxitem}%
               {\end{multicols}\clearpage}
%%
%% Die Literatur
%%
\renewenvironment{thebibliography}[1]
     {%\@mkboth{\bibname}{\bibname}%
      \chapter*{\bibname}\@mkboth{\bibname}{\bibname}%
      \list{\@biblabel{\@arabic\c@enumiv}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
            \leftmargin\labelwidth
            \advance\leftmargin\labelsep
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
      \renewcommand\newblock{\hskip .11em \@plus.33em \@minus.07em}%
      \sloppy\clubpenalty4000\widowpenalty4000%
      \sfcode`\.=\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}
%%
%% Fallunterscheidungen
%%
\RequirePackage{ifthen}
%%
%% Versionverwaltung
%%
\RequirePackage{version}
\IfFileExists{profile}{\input{profile}}%
  {\PackageError{SuSE Buch^^J}{\@spaces No profile file given}{}}
%%
%% Distributionen
\@ifundefined{OEM}{%
    \@ifundefined{BUSINESS}{%
        \@ifundefined{NORMAL}{%
            \PackageError{SuSE Buch^^J}%
            {\@spaces no BUSINESS, OEM nor NORMAL defined}{}
        }{\excludeversion{OEM}\excludeversion{BUSINESS}\excludeversion{SNI}}
    }{\excludeversion{OEM}\excludeversion{NORMAL}\excludeversion{SNI}}
}{\excludeversion{BUSINESS}\excludeversion{NORMAL}\excludeversion{SNI}}
%%
%% Architekturen
\@ifundefined{X86}{%
  \@ifundefined{AXP}{%
    \@ifundefined{PPC}{%
      \@ifundefined{SPARC}{%
        \PackageError{SuSE Buch^^J}%
        {\@spaces no X86, AXP, PPC nor SPARC defined}{}
        }{\excludeversion{X86}\excludeversion{AXP}\excludeversion{PPC}}
      }{\excludeversion{X86}\excludeversion{AXP}\excludeversion{SPARC}}
    }{\excludeversion{X86}\excludeversion{PPC}\excludeversion{SPARC}}
  }{\excludeversion{AXP}\excludeversion{PPC}\excludeversion{SPARC}}
%%
%% Verbatim "uber mehrere Seiten
%%
\RequirePackage{verbatim}
\RequirePackage{alltt}
\RequirePackage{moreverb}
  \def\ASABB#1{\PackageError{SuSE Buch^^J}{%
      \@spaces%
      This macro \on@line\space is useless^^J}{\@ehb}}
\newenvironment{cprog}{\fbox\bgroup\begin{verbatim}}{\end{verbatim}\egroup}
%%
\@ifundefined{pdfpageheight}{%
  \ExecuteOptions{dvips}
  }{%
  \ExecuteOptions{pdftex}
  }%
%%
%% Graphik
%%
\RequirePackage{graphicx}
%%\RequirePackage{epsfig}
  %% \DeclareGraphicsRule{.eps.gz}{eps}{.eps.bb}{`gunzip -cd #1}
  \graphicspath{%
    {bilder/}%
    {bilder-pdf/}}
\RequirePackage{varioref}
\RequirePackage{url}
\RequirePackage{hyperref}
%%
%% From: Anselm Lingnau <lingnau@tm.informatik.uni-frankfurt.de>
%% Subject: Re: hyperref und float?
%% Newsgroups: de.comp.text.tex
%% Date: 14 Oct 1999 12:10:04 +0200
%% Message-ID: <3805abfc@nntp.server.uni-frankfurt.de>
%% 
%% Im Artikel <shwvsqpqlq.fsf@tux.gnu.franken.de> schrieb
%% Karl Eichwalder  <ke@gnu.franken.de>:
%% 
%% > Wie ist bitte Stand der Dinge?  Kann man hyperref zusammen mit float
%% > einsetzen (und wenn ja, wie geht das bitte?)?
%% 
%% Float und hyperref streiten sich darum, wer \caption definieren darf.
%% Ich habe in einem Dokument, in dem ich die beiden gleichzeitig
%% benutze, hinter dem Einbinden von `hyperref' (das seinerseits nach
%% `float' eingebunden wird) die Zeilen
%% 
%%   % Fix \caption command to let float and hyperref coexist.
%%   \makeatletter
\def\caption{\H@refstepcounter\@captype
  \expandafter\ifx\csname fst@\@captype\endcsname\relax
  \let\@tempf\@caption
  \else\let\@tempf\float@caption\fi \@dblarg{\@tempf\@captype}}
%%   \makeatother
%% 
%% Das biegt \caption, nachdem `hyperref' darber hergefallen ist, wieder
%% so zurecht, wie `float' es haben mchte, und scheint auch in Deinem
%% Beispiel das Problem zu beheben. Jedenfalls sieht die Bildlegende
%% wieder so aus wie gemeint.
%% 
%% Ich wei noch nicht, wie ich das (wenn berhaupt) in `float'
%% integriere; die lang angekndigte berarbeitung dauert wohl noch ein
%% bichen, da ich mich im Moment eher mit TkDVI 0.3 beschftige ...
%% 
%% Anselm
%% -- 
%% Anselm Lingnau ......................... lingnau@tm.informatik.uni-frankfurt.de
%% Who'd have thought a nuclear reactor could be so complicated?  -- Homer Simpson
%%
\@ifundefined{pdfpageheight}{%
  }{%
  \pdfoutput=1\relax
  %% \pdfpagewidth=210truemm
  %% \pdfpageheight=297truemm
  \pdfcompresslevel=9
  \renewcommand{\ttdefault}{pcr}
  %%
  %% Color
  %%
  %% \usepackage[pdftex]{color}
  \usepackage{color}
  \definecolor{myred}{rgb}{.8,.0,.0}
  \definecolor{mygreen}{rgb}{.0,.5,.0}
  \definecolor{myblue}{rgb}{.0,.0,.6}
  %% \usepackage{thumbpdf}
  %% \hypersetup{bookmarks, bookmarksopen,
  %%   pdfkeywords={SuSE Linux},
  %%   pdfpagemode={UseOutlines},
  %%   backref={true},
  %%   colorlinks={true},
  %%   linkcolor={myblue},
  %%   urlcolor={mygreen},
  %%   citecolor={myred}}
  }%
%%
%% Makros
%%
\RequirePackage{fancybox}
  \setlength\shadowsize {3.0pt}
%
\newbox\Wichtig@mark
\newbox\Warnung@mark
\newbox\TipsTricks@mark
\setbox\Wichtig@mark   =\hbox{\includegraphics*[width=18mm]{Wichtig}}
\setbox\Warnung@mark   =\hbox{\includegraphics*[width=18mm]{Warnung}}
\setbox\TipsTricks@mark=\hbox{\includegraphics*[width=18mm]{TipsTricks}}
%
\long\def\suse@box#1#2{%
  \par\vskip-\lastskip
  \vskip\baselineskip%
  \vskip-1.0\shadowsize%
  \begingroup%
  \def\marginpar##1{}
  \def\marginpar[##1]##2{}
  \ignorespaces%
  \@tempdima=\textwidth%
  \advance\@tempdima by -2.0\shadowsize%
  \fboxsep=0.5em%
  \advance\@tempdima by -1.0\fboxsep%
  \@tempdimb\textwidth%
  \advance\@tempdimb by  1.0\fboxsep%
  \hbox to \textwidth{%
    $\vcenter{\hsize\@tempdimb\shadowbox{%
      \begin{minipage}{\@tempdima}
        #1
      \end{minipage}}}$\hss}%
  \if@widen\relax\else%
    \suse@marginpar{\center{$\vcenter{\copy#2}$}}\fi%
  \endgroup\par\vskip 1.0\shadowsize}
%
\long\def\suse@wichtig#1{\suse@box{#1}{\Wichtig@mark}}
\long\def\suse@warnung#1{\suse@box{#1}{\Warnung@mark}}
\long\def\suse@tipsundtricks#1{\suse@box{#1}{\TipsTricks@mark}}
\long\def\suse@kasten#1{\suse@box{#1}{\null}}
\newcommand{\Wichtig}{\protect\suse@wichtig}
\newcommand{\Warnung}{\protect\suse@warnung}
\newcommand{\TipsUndTricks}{\protect\suse@tipsundtricks}
\newcommand{\Kasten}{\protect\suse@kasten}
%
% Kurz und schmerzlos: eine boxed minipage
%
\newenvironment{bminipage}[1]{%
   \begingroup%
   \@tempdima=#1\relax%
   \advance\@tempdima by -2.3\fboxsep%
   \begin{Sbox}\begin{minipage}{\@tempdima}%
  }{%
   \end{minipage}\end{Sbox}\fbox{\TheSbox}%
   \endgroup}
%
%\def\suse@userin#1{{\reset@font\slshape#1}}
%\newcommand{\userin}{\protect\suse@userin}
%
%%\def\suse@path#1{{\reset@font\sffamily#1}}
%\def\suse@path#1{{\sffamily#1}}
%\newcommand{\path}{\protect\suse@path}
%
%\long\def\suse@screen#1{{\reset@font\ttfamily#1}}
%\newcommand{\screen}{\protect\suse@screen}
%
%%\def\suse@keyword#1{{\reset@font\ttfamily#1}}
%\def\suse@keyword#1{{\ttfamily#1}}
%\newcommand{\keyword}{\protect\suse@keyword}
%
%\def\suse@fig#1{{\figurename #1}}
%\newcommand{\fig}{\protect\suse@fig}
%
%\newcommand{\var}[1]{$<$#1$>$}
%
\newcommand{\ycall}[1]{{\reset@font\ttfamily [#1]}}
%
\newcommand{\leer}{${\scriptstyle\sqcup}$}
%
\let\@suse@ref\ref
\def\suse@ref#1{%
  \@suse@ref{#1}%
  \if@widen\relax\else%
    \marginpar[\raggedright\strut\textit{(\pagename \pageref{#1})}]%
              {\raggedleft \strut\textit{(\pagename \pageref{#1})}}\fi%
}
\renewcommand\ref{\@ifstar\suse@ref\@suse@ref}
%
\newcommand\marginref[1]{%
  \if@widen\relax\else%
    \marginpar[\raggedright\strut\textit{(\pagename \pageref{#1})}]%
              {\raggedleft \strut\textit{(\pagename \pageref{#1})}}\fi}
  
%
\long\def\@makefntext#1{%
    \parindent0.5em
    \noindent
    \hbox to 0.5em{\hss\@makefnmark}%
    \begingroup
    \def\marginpar##1{}
    \def\marginpar[##1]##2{}\ignorespaces\space
     #1%
    \endgroup}
%
\def\suse@verweis#1#2{%
  $\longrightarrow$\ #1\ (#2)%
% \if@widen\relax\else%
%   \marginpar[\hbox to \marginwidth {\raggedright (\pagename #2)}]%
%             {\hbox to \marginwidth {\raggedleft  (\pagename #2)}}\fi%
}
\newcommand{\verweis}{\protect\suse@verweis}
%
\newcommand{\tm}{\textsuperscript{{\reset@font\sffamily TM}}}
%%
%% Wir sind pedantisch
%%
\@widenfalse
\fussy
%%
\AtEndOf@my@Class
%%
%% Hyphen
%%
\IfFileExists{hyphenation}{\input{hyphenation}}%
  {\PackageError{SuSE Buch^^J}{\@spaces No hyphenation file given}{}}
\endinput
%%% Local Variables: 
%%% TeX-master: t
%%% End:
